> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get image build by ID



## OpenAPI

````yaml openapi.json GET /api/images/builds/{buildId}
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/images/builds/{buildId}:
    get:
      tags:
        - Images
      summary: Get image build by ID
      parameters:
        - name: buildId
          in: path
          required: true
          description: Image build ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Image build details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageBuildResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ImageBuildResponse:
      type: object
      properties:
        build:
          $ref: '#/components/schemas/ImageBuild'
      required:
        - build
    ImageBuild:
      type: object
      properties:
        id:
          type: string
          format: uuid
        imageName:
          type: string
        imageId:
          type: string
          format: uuid
          nullable: true
        status:
          type: string
          enum:
            - awaiting_upload
            - upload_verified
            - dispatching
            - building
            - verifying
            - completed
            - failed
            - canceled
          description: Current image-build lifecycle state.
        inputSha256:
          type: string
          nullable: true
        inputSizeBytes:
          type: integer
          nullable: true
        errorCode:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        completedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - imageName
        - status
        - completedAt
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````